Update file
curl --request PUT \
--url https://api.mymarky.ai/api/businesses/{business_id}/files/{file_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "<string>"
}
'import requests
url = "https://api.mymarky.ai/api/businesses/{business_id}/files/{file_id}"
payload = {
"name": "<string>",
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', content: '<string>'})
};
fetch('https://api.mymarky.ai/api/businesses/{business_id}/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"business_id": "<string>",
"name": "<string>",
"path": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"body_text": "<string>",
"parent_id": "<string>",
"media": [
{
"id": "<string>",
"business_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"alt_text": "<string>",
"original_url": "<string>",
"type": "<string>",
"width": 123,
"height": 123,
"source": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"doc_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Files
Update file
Update a markdown/text DOCUMENT’s name or content.
Errors: 400 invalid_request: No fields were given to update. 401 authentication_required: API key or token is missing, invalid, or revoked. 403 permission_denied: Your plan does not include API access, or this business is not in your org. 404 resource_not_found: No file with that ID exists, or it is not in this business. 429 rate_limit_exceeded: You sent too many requests this minute.
PUT
/
api
/
businesses
/
{business_id}
/
files
/
{file_id}
Update file
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
File ID
Business this file belongs to
File name
Full file path
When the file was created
Markdown content
Parent folder ID
Attached media
Show child attributes
Show child attributes
Last update time
⌘I
